import dateFns from 'date-fns/locale/ru';

export default {
  dateFns,

  format: {
    date: 'P',
    time: 'HH:mm',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'd MMM',
    longDateTime: "d MMMM 'в' p",
  },

  translation: {
    common: {
      actions: 'Действия',
      addComment: 'Добавление комментария',
      addMember: 'Добавление участника',
      addUser: 'Добавление пользователя',
      administrator: 'Администратор',
      all: 'Все',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Все изменения сохранятся автоматически,<br />как только подключение восстановится',
      areYouSureYouWantToDeleteThisBoard: 'Вы уверены, что хотите удалить эту доску?',
      areYouSureYouWantToDeleteThisCard: 'Вы уверены, что хотите удалить эту карточку?',
      areYouSureYouWantToDeleteThisComment: 'Вы уверены, что хотите удалить этот комментарий?',
      areYouSureYouWantToDeleteThisLabel: 'Вы уверены, что хотите удалить эту метку?',
      areYouSureYouWantToDeleteThisList: 'Вы уверены, что хотите удалить этот список?',
      areYouSureYouWantToDeleteThisProject: 'Вы уверены, что хотите удалить этот проект?',
      areYouSureYouWantToDeleteThisTask: 'Вы уверены, что хотите удалить эту задачу?',
      areYouSureYouWantToDeleteThisUser: 'Вы уверены, что хотите удалить этого пользователя?',
      areYouSureYouWantToRemoveThisMemberFromProject:
        'Вы уверены, что хотите удалить этого участника из проекта?',
      boardNotFound: 'Доска не найдена',
      cardActions: 'Действия с карточкой',
      cardNotFound: 'Карточка не найдена',
      cardOrActionAreDeleted: 'Карточка или действие удалены',
      color: 'Цвет',
      connectionRestored: 'Соединение восстановлено',
      createBoard: 'Создание доски',
      createLabel: 'Создание метки',
      createNewOneOrSelectExistingOne: 'Создайте новую или выберите<br />уже существующую',
      createProject: 'Создание проекта',
      date: 'Дата',
      deadline: 'Срок',
      deleteBoard: 'Удаление доски',
      deleteCard: 'Удаление карточки',
      deleteComment: 'Удаление комментария',
      deleteLabel: 'Удаление метки',
      deleteList: 'Удаление списка',
      deleteProject: 'Удаление проекта',
      deleteTask: 'Удаление задачи',
      deleteUser: 'Удаление пользователя',
      description: 'Описание',
      editAvatar: 'Изменение аватара',
      editBoard: 'Изменение доски',
      editDeadline: 'Изменение срока',
      editLabel: 'Изменения метки',
      editName: 'Изменение имени',
      editProject: 'Изменение проекта',
      editTimer: 'Изменение таймера',
      enterCardTitle: 'Введите заголовок для этой карточки...',
      enterDescription: 'Введите описание...',
      enterListTitle: 'Введите заголовок списка...',
      enterProjectTitle: 'Введите название проекта',
      enterTaskDescription: 'Введите описание задачи...',
      filterByLabels: 'Фильтр по меткам',
      filterByMembers: 'Фильтр по участникам',
      hours: 'Часы',
      labels: 'Метки',
      listActions: 'Действия со списком',
      members: 'Участники',
      minutes: 'Минуты',
      name: 'Имя',
      noConnectionToServer: 'Нет соединения с сервером',
      notifications: 'Уведомления',
      noUnreadNotifications: 'Уведомлений нет',
      openBoard: 'Откройте доску',
      pageNotFound: 'Страница не найдена',
      projectNotFound: 'Доска не найдена',
      refreshPageToLoadLastDataAndReceiveUpdates:
        '<0>Обновите страницу</0>, чтобы загрузить<br />актуальные данные и получать обновления',
      removeMember: 'Удаление участника',
      seconds: 'Секунды',
      taskActions: 'Действия с задачей',
      tasks: 'Задачи',
      time: 'Время',
      timer: 'Таймер',
      title: 'Название',
      userAddedThisCardToList: '<0>{{user}}</0><1> добавил(а) эту карточку в {{list}}</1>',
      userIsAlreadyExist: 'Пользователь уже существует',
      userLeftNewCommentToCard: '{{user}} оставил(а) комментарий «{{comment}}» к <2>{{card}}</2>',
      userMovedCardFromListToList:
        '{{user}} переместил(а) <2>{{card}}</2> из {{fromList}} в {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0><1> переместил(а) эту карточку из {{fromList}} в {{toList}}</1>',
      users: 'Пользователи',
      writeComment: 'Напишите комментарий...',
    },

    action: {
      addAnotherCard: 'Добавить еще одну карточку',
      addAnotherList: 'Добавить еще один список',
      addAnotherTask: 'Добавить еще одну задачу',
      addCard: 'Добавить карточку',
      addComment: 'Добавить комментарий',
      addList: 'Добавить список',
      addMoreDetailedDescription: 'Добавить более подробное описание',
      addTask: 'Добавить задачу',
      addToCard: 'Добавить на карточку',
      addUser: 'Добавить пользователя',
      createBoard: 'Создать доску',
      createLabel: 'Создать метку',
      createNewLabel: 'Создать новую метку',
      createProject: 'Создать проект',
      delete: 'Удалить',
      deleteAvatar: 'Удалить аватар',
      deleteBoard: 'Удалить доску',
      deleteCard: 'Удалить карточку',
      deleteComment: 'Удалить комментарий',
      deleteLabel: 'Удалить метку',
      deleteList: 'Удалить список',
      deleteProject: 'Удалить проект',
      deleteTask: 'Удалить задачу',
      deleteUser: 'Удалить пользователя',
      edit: 'Изменить',
      editAvatar: 'Изменить аватар',
      editDeadline: 'Изменить срок',
      editDescription: 'Изменить описание',
      editName: 'Изменить имя',
      editTask: 'Изменить задачу',
      editTimer: 'Изменить таймер',
      editTitle: 'Изменить название',
      logOut: 'Выйти',
      remove: 'Убрать',
      removeFromProject: 'Удалить из проекта',
      removeMember: 'Удалить участника',
      save: 'Сохранить',
      start: 'Начать',
      stop: 'Остановить',
      subscribe: 'Подписаться',
      unsubscribe: 'Отписаться',
      uploadNewAvatar: 'Загрузить новый аватар',
    },
  },
};
